function g = cvh(x1,y1,x2,y2,alpha)
%cvh is an area of convex hull function
%x1, y1 are the center of a rectangle
%x2, y2 are the center of an equilateral triangle
%alpha is an angle of an equilateral triangle
v=0.0375; % the width of a rectangle
%create the 500-gon
t = linspace(0,2*pi,500); 
x=(cos(t)/(2*pi)); 
y=(sin(t)/(2*pi));
A=[x;y];
%create the vertex of a rectangle 
xR1=x1-(1/2-v)/2;
yR1=y1+v/2;
xR2=x1+(1/2-v)/2;
yR2=y1+v/2;
xR3=x1+(1/2-v)/2;
yR3=y1-v/2;
xR4=x1-(1/2-v)/2;
yR4=y1-v/2;
%create the vertex of an equilateral triangle
xQ1=x2+(sqrt(3)/9)*cos(alpha);
yQ1=y2+(sqrt(3)/9)*sin(alpha);
xQ2=x2+(sqrt(3)/9)*cos(alpha+(2*pi)/3);
yQ2=y2+(sqrt(3)/9)*sin(alpha+(2*pi)/3);
xQ3=x2+(sqrt(3)/9)*cos(alpha+(4*pi)/3);
yQ3=y2+(sqrt(3)/9)*sin(alpha+(4*pi)/3);
%B is the matrix of points of a rectangle
%C is the matrix of points of an equilateral triangle 
%D is the matrix of points of all objects
B=[xR1 xR2 xR3 xR4;yR1 yR2 yR3 yR4];
C=[xQ1 xQ2 xQ3;yQ1 yQ2 yQ3];
D= [A B C];
format long
%g is the area of convex hull of D 
[p,g]=convhull(D(1,:),D(2,:));
end